Экспорт точек из автокада в txt
Перейти к содержимому

Экспорт точек из автокада в txt

  • автор:

Экспорт списка координат линии, контура из AutoCAD в текстовый файл V 1.3

Программа предназначена для экспорта списка координат отдельного объекта (линия, контур) из AutoCAD в текстовый файл.

В Проекте AutoCAD создать и выделить объект (линия, контур).
Открыть вкладку Сервис.
Нажать кнопку Список.
Скопировать (выделить мышкой в Списке и Ctrl+C) блок с координатами, вставить (Ctrl+V или кнопка «Вставка из буфера обмена») в окно «Исходный текст» программы.
Перевычислить в нужный(е) формат(ы).
Файлы сохранятся в папке, из которой была запущена программа.

ACAD_Coords_Akt.jpg

ACAD_Coords_Akt2.jpg

Rick Keisi, Dnl и Maverick нравится это.

Последние обнoвления

  1. Добавлена кнопка «Копировать в буфер обмена» 12 сен 2020
  2. Кириллица в названиях папок 29 апр 2020
  3. ACAD_Coord 22 апр 2020

Пoследние рецензии

Версия: v 1.0 (c) 2019

Замечательно!Спасибо!

Спасибо за отзыв! пока не особо замечательно, слепил по нужде на коленке.. думаю вот, может еще туда что-нибудь вкрячить. Ну и, коль мне понадобилось, пусть и тут полежит — может еще кому полезна окажется ))

Рекомендован

Информация

Автор: vsv Всего скачиваний: 428 Первый выпуск: 30 ноя 2019 Последнее обновление: 12 сен 2020 Категория: Вспомогательные программы и драйвера

Экспорт координат выбранных точек в *.txt

Сразу прошу, не пинайте ногами и не отправляйте в поиск. Все темы, в заголовках которых есть слово «координаты» и «координат» прочитал. Нашел много полезного для себя и практически то, что искал. Но многое остается в полутьме для моего мозга. Сама суть моего поста.

Я работаю в дорожном строительстве. С недавнего времени моя организация приобрела электронный тахеометр. На данный момент ось дороги выносим в натуру с помощью него. Координаты X и Y узловых точек по оси беру из CREDO_MIX, а координату Z подставляю по мере необходимости и вида выноса. Для фрезеровки, нижнего слоя, верхнего, и.т.п.

Возникла необходимость выноса в натуру кромок проезжей части. Но они не всегда соответствуют виду оси. В городских условиях могут быть примыкания, карманы для автобусных остановок и.т.п. Требуется (для начала) получить координаты узловых точек. Хочу начать с того, что бы получить координаты ВЫБРАННЫХ ТОЧЕК в текстовый файл. Последовательность:

1. Проставляем токи в требуемых узлах.
2. Выбираем необходимые точки.
3. Запускаем макрос.
4. Макрос создает в каталоге текстовый файл c названием как у чертежа.
5. Туда записываются координаты примитивов (вроде бы так тут это называют) в формате:
Pt X Y Z , где
Pt — для начала просто нумерация точек по мере добавления в файл,
X Y Z — координаты,
— разделитель.

От Вас прошу помощи. В программировании мало понимаю, но для меня пока что ясно, что скрипты можно создать как макрос — VBA, и LISP — на собственном языке. Хотелось бы увидеть такой скрипт, я думаю он не будет громоздким, на удобном Вам языке, но с описанием. Начну разбираться — с чего-нибудь надо начинать. Для начала поставленная задача будет минимальной, в дальнейшем хочу усложнить задачу собственными силами, если потяну.

Сразу оговорюсь, возможности купить ToolPak, Express и уж тем более Civil у меня нет, , да и не требуется пока мне выполнение задач отличных от этой. Поэтому надеюсь на Вашу помощь в написании такого скрипта. А уж за описание процедуры — буду безгранично благодарен.

P.S> Если требуются еще исходные данные — готов в найкротчайшие сроки предоставить их.

Просмотров: 234379
Регистрация: 11.05.2005
Сообщений: 6,991

Ну тебе прямой наводкой сюда:
«Снять» координаты с поворотных точек
Там есть COOR — координаты в txt, csv, exel
и COORN — тоже с нумерацией
Все это и еще больше лежит в #7
PS (шепотом) Express покупать не нужно, он входит в стандартную поставку

__________________
Как использовать код на Лиспе читаем здесь
Последний раз редактировалось VVA, 10.06.2010 в 09:55 . Причина: Навел порядок
Регистрация: 13.05.2008
Сообщений: 6

Уважаемый, VVA, там я был.. Как говориться по усам текло — в рот не попало. Тяжко для начала. Два очень навороченныхъ LISP’а. Хочу разобраться с работой такого LISP с самых низов.

Вот, что я нашел во всемирной паутине:

;;; CDF - строки ограниченные запятыми (defun cdf-point (pt) (strcat (car pt) ", " (cadr pt) ", " (caddr pt))) ;;; SDF - ограниченные прбелами, ;;; легко обратно считывается AutoCAD (defun sdf-point (pt) (strcat (car pt) " " (cadr pt) " " (caddr pt))) ;;; Преобразует SDF фомат обратно в точку (defun str->point (s) (eval (read (strcat "(" s ")")))) ;;; Записывает в XYZ файл все выбранные ;;; объекты (SDF см. ниже) (defun C:XYZ (/ ss fname f) (if (and (setq ss (ssget)) (setq fname (getfiled "Запись XYZ в файл" (strcat (getvar "DWGNAME") ".XYZ") "XYZ" 7)) (setq f (open fname "w"))) (foreach ele (sslist ss) ; -> [20.4] (foreach pt (getpts ele) ; -> [23.1] (write-line (cdf-point pt) f) ) ) ) (if f (close f)) ) ;;; => .xyz ;;; 0.45, 12.3, -34.0 Для преобразования в ASC файл (SDF-формат) нужно заменить все XYZ на ASC, и cdf-точку(cdf-point) на sdf-точку(sdf-point). Другой способ: создавай PLINES используя ascii x,y файл, лучше всего преобразовать файл в некий скрипт похожий на: PLINE 300.2,10 350.4,10.4

Моглы бы Вы мне его по-подробнее расскоментировать?

P.S> На всякий случай: если нет времени, сил и желания отвечать каждому новичку, по-сути спрашивающих одно и то же — я все понимаю.

Регистрация: 11.05.2005
Сообщений: 6,991
Подробности в коментариях

;;; Записывает в XYZ файл координаты вабранных точек в порядке выбора ;;; Формат файла ;;; Порядковый номер Координата_X Координата_Y Координата_Z (defun C:XYZ (/ ss fname f i en pt str) (if (and (setq ss (ssget '((0 . "POINT")))) ;_Выбираем объект Автокада ТОчка (setq fname (getfiled "Запись XYZ в файл" (strcat (getvar "DWGNAME") ".XYZ") "XYZ" 7)) ;_Запрашиваем файл (setq f (open fname "w")) ;_Открываем для записи );_ and (progn (setq i 0) (while (< i (sslength ss)) (setq en (ssname ss i)) ;_Берем из набора i-й злемент (setq pt (cdr(assoc 10 (entget en)))) ;_ТОчка вставки объекта Автокада "Точка" (point) (setq str ;_Формbруем строку из номера, координат X Y и Z? разделенных пробелом (strcat (itoa (1+ i)) ;_Порядковый номер, начиная с 1, переводим в строку " " ;_Пробел - разделитель (rtos (car pt) ;_Координата X 2 12) " " ;_Пробел - разделитель (rtos (cadr pt) ;_Координата Y 2 12) " " ;_Пробел - разделитель (rtos (caddr pt) ;_Координата Z 2 12) ) ) (write-line str f) ;_Пишем строку str в файл f (setq i (1+ i)) ;_Наращиваем счетчик ) (if f (close f)) ;_Закрывем файл ) ) )

__________________
Как использовать код на Лиспе читаем здесь
Регистрация: 13.05.2008
Сообщений: 6

Спасибо большое, уважаемый VVA! Дали пищу для ума. Хватит на пару дней поразбираться.

По сути, когда писал первое сообщение - надеялся в конце концов создать лисп, похожий на Ваш COORN, только с несколько обратной задачей по нумерации точек. Т.е. брать их названия с чертежа, в идеале, если они есть. Я видел тут нечто подобное. Посмотрите, пожалуйста файл в аттаче и по-возможности подскажите - реально ли задуманное мною?

P.S> За файл COORN, IMHO, Вас пользователи на руках должны носить, в ряды которых я готов вступить при первой же возможности!

DWG 2004 KOORD.dwg (118.5 Кб, 29985 просмотров)

Регистрация: 07.12.2007
Сообщений: 243
Попробуй на VBA (как для меня то попроще чем лисп)
Вот для твоего файла примерчик

pt2txt.dvb (48.0 Кб, 2318 просмотров)

Последний раз редактировалось Sync02, 15.05.2008 в 09:15 . Причина: Заменил файл (что-то с вечера намудрил)

Регистрация: 11.05.2005
Сообщений: 6,991

slan.ru Пробуй COORT для твоего примера
Описание
Экспорт координат указанных точек, выбранных объектов: точек, блоков, полилиний, сплайнов в текстовый файл, ексел с простановкой номеров
Текстовый файл — либо txt, либо csv.
Округление координат в соответствии с текущими настройками команды _UNITS (переменная LUPREC . )
.
Набрать в командной строке LUPREC и установить нужную точность округления.
.

Определены 3 команды
COOR - экспорт координат
COORN -экспорт координат с нумерацией
COORT -экспорт координат с нумерацией, где номером считается ближайший к точке текст

*** Добавлено 26 августа
Из темы Lisp: coordinates of points to excel sheet (+point number)
Модифицированны и оптимизированы команды COOR, COORN, COORT, добавлена команда COORNP
COORNP - COORNP + Point - отрисовка точек в узлах полилинии. Файл Ecoor.zip
*** Добавлено 15 мая 2010
В архиве Ecoor.zip изменен принцип получения координат LW полилинии. Теперь координаты полилинии получаются как X,Y,Elevation (уровень)
================== 2012.03.28 ===========================
EcoorE тоже что Ecoor, но убраны русские сообщения в связи с проблемами при загрузке у китайских товарищей
На cadtutor'e эта тема получила дальнейшее развитие и в результате имеем
COOR - экспорт координат
COORN -экспорт координат с нумерацией
COORT -экспорт координат с нумерацией, где номером считается ближайший к точке текст
CoorNP-Координаты+Нумерация+Точки. Точки рисуются текущими режимами PDMODE and PDSIZE
COORNB - Координаты+Блок (в блок входят точка и атрибут с номером)
Так же добавлены настройки:
Суффикс, префикс, шаг инкремента, смещения, высоты текста, и символа-разделителя.
Если задать символ-разделитель, то можно получить список координат и отделить одну полилинию от другой. Что-то вида

-6473.5946,-556.051,0
-6472.4554,-554.5869,0
-6470.0142,-555.1834,0
X
-6477.8259,-552.3095,0
-6475.439,-550.52,0
-6472.7266,-552.1468,0
X

В rev. 9 добавлены настройки для округления при экспорте и возможность экспортировать координаты в виде XYZ и YXZ. Читать или смотреть

rev.11 - Добавлена обработка MPolygon. В настройках добавлена опция при запросе разделителя координат опция ADD Number. В этом случае координаты получают префикс (начиная с 1) номера полилинии, сплайна, мполигона (если их выбрано несколько)

. Другие решения для экспорта: Ссылки здесь

coord.rar (12.1 Кб, 13329 просмотров)
ECoor.zip (6.7 Кб, 5853 просмотров)
ECoorE rev11c.zip (13.5 Кб, 1996 просмотров)

__________________
Как использовать код на Лиспе читаем здесь

Последний раз редактировалось VVA, 10.05.2019 в 23:42 . Причина: Обработка внешнего и внутреннего контура mpolygon

Регистрация: 13.05.2008
Сообщений: 6

Большое человеческое СПАСИБО! Обязательно протестииую и возьму на вооружение. О результатах теста отпишусь.

Регистрация: 13.05.2008
Сообщений: 6
VVA, протестировал. Все работает на отлично. Это именно то что и нужно было. Еще раз спасибо.
Регистрация: 17.09.2007
Сообщений: 102

VVA, пытаюсь немного модернизировать ваш лисп, дабы приспособить его для снятия координат точек и передачи их в ANSYS в виде *.mac файлов. Конечный формат файла с координатами сменить удалось. Но никак не пойму, что нужно исправить и дописать, чтобы в этом файле перед номерами точек стояло два символа: k,

Регистрация: 11.05.2005
Сообщений: 6,991
Я так понимаю, что модифицируешь COORN
Тогда что-то типа такого ( выделено красным )

(defun c:COORN1 (/ cFile curPt filPath objSet oFlag oldMode ptLst sFlag lw isRus Npt) (defun group-by-num (lst num / ls ret)(if (= (rem (length lst) num ) 0)(progn (setq ls nil) (repeat (/ (length lst) num)(repeat num (setq ls(cons (car lst) ls)lst (cdr lst))) (setq ret (append ret (list (reverse ls))) ls nil)))) ret) (defun PtCollect(SelSet)(mapcar 'cdr (mapcar '(lambda(x)(assoc 10 x))(mapcar 'entget (vl-remove-if 'listp(mapcar 'cadr(ssnamex SelSet))))))); end of PtCollect (defun PLCollect(SelSet / ret) (foreach lw (mapcar 'vlax-ename->vla-object (vl-remove-if 'listp(mapcar 'cadr(ssnamex SelSet)))) (cond ((wcmatch (vla-get-ObjectName lw) "*Polyline") (setq ret (append ret (group-by-num (vlax-get lw 'Coordinates) (if (=(vla-get-ObjectName lw) "AcDbPolyline") 2 3))))) ((=(vla-get-ObjectName lw) "AcDbSpline")(setq ret (append ret (group-by-num (vlax-safearray->list(vlax-variant-value (vla-get-controlpoints lw))) 3)))) (t nil))) ret) (vl-load-com)(setq isRus(= (getvar "SysCodePage") "ANSI_1251"))(if(not ptcol:mode)(setq ptcol:mode "Pick")) (initget "Указать Точка Блоки Полилиния Pick pOints Blocks poLyline _Pick pOints Blocks poLyline Pick pOints Blocks poLyline") (setq oldMode ptcol:mode ptcol:mode (getkword (if IsRus (strcat "\nВыберите режим [Указать/Точка/Блоки/Полилиния или сплайн] : ") (strcat "\nSpecify mode [Pick/pOints/Blocks/poLyline or spline] : "))) ptLst nil) (if(null ptcol:mode)(setq ptcol:mode oldMode)) (cond ((= "Pick" ptcol:mode)(setq curPt T) (while curPt (setq curPt(getpoint (if IsRus "\nУкажите точку или Enter завершения > " "\nPick point or Enter to continue > "))) (if curPt (setq ptLst(append ptLst(list (trans curPt 1 0))))))); end condition #1 ((= "pOints" ptcol:mode)(if (not(setq objSet(ssget "_I" '((0 . "POINT")))))(progn (if IsRus (princ "\nВыберите точки и нажмите Enter ")(princ "\nSelect points and press Enter ")) (setq objSet(ssget '((0 . "POINT"))))))(if objSet (setq ptLst(PtCollect objSet)))); end condition #2 ((= "Blocks" ptcol:mode)(if (not(setq objSet(ssget "_I" '((0 . "INSERT")))))(progn (if IsRus(princ "\nВыберите блоки и нажмите Enter ")(princ "\nSelect blocks and press Enter ")) (setq objSet(ssget '((0 . "INSERT"))))))(if objSet (setq ptLst(PtCollect objSet)))); end condition #3 ((= "poLyline" ptcol:mode)(if (not(setq objSet(ssget "_I" '((0 . "*POLYLINE,SPLINE")))))(progn (if IsRus(princ "\nВыберите полилинии и нажмите Enter ")(princ "\nSelect polyline and press Enter ")) (setq objSet(ssget '((0 . "*POLYLINE,SPLINE"))))))(if objSet (setq ptLst(PLCollect objSet)))); end condition #4 ); end cond (if ptLst (progn (princ "\n+++++++ Coordinates list +++++++\n")(setq ptLst (mapcar '(lambda(x)(trans x 0 1)) ptLst)) (mapcar '(lambda(x)(princ(strcat "\n"(rtos(car x))","(rtos(cadr x)) (if(= 3(length x))(strcat ","(rtos(nth 2 x))) "")))) ptLst); end mapcar (princ "\n\n+++++++++ End of list +++++++++") (setq Npt (getint (if IsRus "\nНачальный номер точки : " "\nStart number of points : " ))) (initget "Файл Excel Не Text Excel Not _Text Excel Not Text Excel Not") (setq sFlag (getkword (if IsRus "\nСохранить координаты в [Файл/Excel/Не сохранять] : " "\nSave coordinates to [Text file/Excel/Not save] : "))) (if(null sFlag)(setq sFlag "Text"))(setq oFlag Npt)(if (numberp Npt) (foreach ln ptlst (text-draw ;_Отрисовка текста (itoa Npt) ;_Номер точки (polar ln (/ pi 4) 1.) ;_Координаты на 1 ед по углом 45 градусов (getvar "TEXTSIZE") ;_ Текущей высотой текста 0 ;_Угол поворота nil ) (setq Npt (1+ Npt)))) (setq Npt oFlag) (setq ptLst (mapcar '(lambda(x)(mapcar 'rtos x)) ptlst)) (cond ((and (= "Text" sFlag)(setq filPath (getfiled (if IsRus "Сохранение координат в текстовый файл" "Save Coordinates to Text File") "Coordinates.txt" "txt;csv" 33))) (setq cFile(open filPath "w"))(foreach ln ptLst (write-line (strcat "k," (if (numberp Npt)(strcat (itoa Npt) ",") "")(car ln)","(cadr ln) (if(= 3(length ln))(strcat ","(nth 2 ln)))) cFile)(if (numberp Npt)(setq Npt (1+ Npt))))(close cFile)(initget "Yes No") (setq oFlag(getkword (if IsRus "\nОткрыть файл? [Yes/No] : " "\nOpen text file? [Yes/No] : " ))) (if(= oFlag "Yes")(startapp "notepad.exe" filPath))); end condition #1 ((= "Excel" sFlag)(if (numberp Npt)(progn (setq ptlst (mapcar '(lambda(x)(cons (1- (setq Npt (1+ Npt))) x)) ptlst)) (xls ptlst '("N" "X" "Y" "Z") nil "COORN")) (xls ptLst nil nil "COOR"))); end condition #2 (t nil)))) (princ)); end of c:COOR

Импорт | Экспорт координат

Если поставить галочку в чекбоксе, то будет доступен выбор строк из загруженного файла, если галочку убрать то будут загружены все данные из файла. К сожалению, при ручном выборе строк, есть ограничение, выбрать можно любое количество, но загрузятся не больше 256 строк.

Разделитель

Выбираем что служит разделителем данных, доступно при расширении фала txt. Можно выбрать из предложенных, либо ввести свой вариант при выборе пункта "Другое"

Фильтр данных

Отфильтровывает строки данных из файла согласно условию по каждому столбцу данных. При этом можно использовать символы-шаблоны:
(Звездочка) * - соответствует любой последовательности символов. Может использоваться в любой позиции строки
(Знак вопроса) ? - соответствует любому одиночному символу; например, ?BC соответствует ABC, 3BC и т.п.

Формат данных

Возможна смена форматов данных, причём под X подразумевается направление на Север.

Создаваемые объекты

Основной объект.Пикет. Выбираем объект, который будет построен (начерчен) по координатам из файла. Доступны следующие объекты:

  • Точка
  • Блок
  • Круг
  • Полилиния
  • 3D полилиния

При выборе объекта блок, будет предложено выбрать имя блока из списка существующих в чертеже. Второстепенные объекты. Возможно подписать номер, отметку и описание для каждой точки. Если в качестве основного объекта будет выбран блок, и он содержит атрибуты, то значение может быть записано в атрибуты. Кроме данных, взятых из файла, можно задать новые: Номер. Формат ввода *#*, где * - префикс\суффикс (можно опустить), # - целое число. Отметка. Формат ввода - вещественное число, если ввести со знаком + или -, то оно будет прибавлено или отнято соответственно от отметки из файла. Описание. свободный формат ввода.

Для каждого объекта можно выбрать слой из списка уже существующих в чертеже или создать новый, а так же задать цвет и высоту текста для подписей. Так же доступен выбор, учитывать или нет ПСК при построение объектов

Большинство настроек программы будет сохранено между сеансами AutoCAD.

В качестве разделителя дробной части может служить как точка, так и запятая.

Экспорт из AutoCAD в текстовый файл

Файл

Указываем куда будут записаны координаты. Можно создать как новый файл, так и открыть существующий, данные будут дописаны к уже имеющимся в файле.

Выбор объектов

Выбрать по… указываем образец объекта (примитива) данные которых необходимо получить, после этого будут выбраны все объекты (примитивы) в чертеже, подобные указанному в качестве образца, а именно того же типа, если поставить галочку, в соответсвующих чекбоксах, то того же цвета и слоя. Доступны следующие типы объектов (примитивов):

  • Отрезок,
  • Полилиния,
  • 3D Полилиния,
  • Млиния,
  • Сплайн,
  • Текст,
  • МТекст,
  • Блок,
  • Круг,
  • Точка.
  • Cogo точик (Civil)
  • (при необходимости список могу расширить…)

Выбрать из… позволяет выбрать объекты (примитивы) из выбранных ранее по образцу.

При этом для наглядности (а то ли вы выбрали), в диалоге будет отображаться: тип, слой, цвет и количество выбранных объектов.

Формат данных

Разделитель. Выбираем что будет служит разделителем данных при записи в файл. Можно выбрать из предложенных, либо ввести свой вариант при выборе пункта "Другое"
Номер

  • По умолчанию 1 -> 1 ,2,3,…,n.
  • Пользовательский формат ввода: *#*, где * - любое количество букв , до # - префикс, после # - суффикс, # - номер (любое количество цифр), пример tr235ort -> tr235ort, tr236ort, tr237ort,…, tr(235+n)ort.
  • Ближайший тест, в качестве номера будет использоваться ближайший к объекту текст, причём любого содержимого, но при выборе такого-же режима "ближайший текст" для Отметки, тексты формата #.# , где #- любое количество цифр, . - точка или запятая, будут зарезервированы для отметок и не будут использоваться для Номера. Ближайший текст ищется не по точке вставки текста, а по центру габаритного контейнера вокруг текста
  • Содержимое (доступен только для объектов (примитивов) типа Текст и МТекст) в качестве номера будет использоваться содержимое текста.
  • Список имён атрибутов (доступно для объектов (примитивов) типа Блок) в качестве номера можно выбрать содержимое одного из атрибутов, при наличии в блоке атрибута с именем «№», он будет автоматически предложен по умолчанию .
  • Номер или Имя для Cogo точек (Civil)

Отметка

  • Координата Z - Z координата объекта (примитива).
  • Пользовательский формат ввода: вещественное (действительное) число.
  • Ближайший тест, в качестве отметки будет использоваться ближайший к объекту текст, формата #.# , где #-любое количество цифр, . - точка или запятая. Ближайший текст ищется не по точке вставки текста, а по центру габаритного контейнера вокруг текста
  • Содержимое (доступен только для объектов (примитивов) типа Текст и МТекст) в качестве отметки будет использоваться содержимое текста.
  • Список имён атрибутов (доступно для объектов (примитивов) типа Блок) в качестве отметки можно выбрать содержимое одного из атрибутов, при наличии в блоке атрибута с именем «H» (заглавная латинская h), он будет автоматически предложен по умолчанию.

Описание

  • Не требуется - опускается, отсутствует .
  • Пользовательский формат ввода: всё что угодно ☺.
  • Содержимое (доступен только для объектов (примитивов) типа Текст и МТекст) в качестве описания будет использоваться содержимое текста.
  • Список имён атрибутов (доступно для объектов (примитивов) типа Блок) в качестве описания можно выбрать содержимое одного из атрибутов, при наличии в блоке атрибута с именем «COD» , он будет автоматически предложен по умолчанию.
  • Описание или Имя для Cogo точек (Civil)

Отметка в чекбоксе означает - подписать данные на чертеже.

Система координат

МСК - координаты будут считаться в мировая система координат, игнорируя текущие настройки
ПСК - координаты будут вычислены в установленной пользовательской системе координат.

Выбираем что будет записано в качестве Х (первой координаты), направление на Север (геодезическая СК) или на Восток (математическая СК)

Сортировка координат

Первичная сортировка

Для сортировок "против\по часовой стрелке" и "радиальных", в качестве центральной точки вычисляется усреднённая между выбранными.
Чтобы отключить сортировку, уберите галочку (ещё раз кликните по чекбоксу с галочкой), в этом случае нумерация точек будет происходить в порядке их выбора на чертеже, в случае одновременного выбора группы точек, нумерация внутри группы будет соответствовать порядку их созданию в чертеже.

Вторичная сортировка

Если существуют координаты равнозначные для первичной сортировки, к ним применяется вторична.

Сортировать каждую группу отдельно

Для Полилиний сортировка будет применена к каждой полилинии в отдельности, при этом порядок нумерации полилиний при не интерактивном выборе (Выбрать по. ) будет в порядке их создания в чертеже, либо в порядке выбора при интерактивном выборе (Выбрать из. )
Для Блоков, Точек и Кругов, доступна только при интерактивном выборе (Выбрать из. ) сортировка и нумерация будет применена поочерёдно к каждой группе в соответствии с их выбором в чертеже.

Большинство настроек программы будет сохранено, между сеансами AutoCAD.

Регистрация

Активация приложения привязана к железу ПК, смена AutoCAD ни как не влияет, смена операционной системы, потребует повторного ввода кода активации, но сам код не изменится и подойдёт купленный ранее. Смена ПК потребует новой регистрации (покупки).

Установка

Приложение устанавливается автоматически, в AutoCAD (и CIVIL 3D) начиная с версии 2013. На Ленте, на вкладке "Надстройки" появится панель "Geo ▼▲"

Для более ранних версий, после установки, нужно загрузить файл с расширением VLX с помощью команды ЗАГПРИЛ и файл с расширением CUIX с помощью команды МЕНЮЗАГР
Файлы находятся тут: C:\ProgramData\Autodesk\ApplicationPlugins\BearDyugin_Coordinate_Import_Export.bundle

Удаление

Удаление производится штатными методами Windows через Панель управления -> Установка\удаление программ

(*) Цена для юридических лиц

1000 ₽

Экспорт координат из CAD в txt

Предположим, мы хотим экспортировать точки из формата САПР в список, разделенный запятыми, чтобы загрузить их в тахеометр и выполнить разметку площадки. Ранее мы видели, как импортировать их из excel или txt. с AutoCAD y с Microstation, теперь давайте посмотрим, как их экспортировать.

Есть разные способы сделать это, например, подсчитать коров, вы можете сосчитать ноги и разделить их на четыре, или вы можете просто сосчитать коров. Давайте посмотрим на несколько способов:

1. Выполнение этого с помощью Microstation (dgn to txt)

В примере у меня есть график, который имеет пять вершин, и мне нужно экспортировать координаты в txt-файл.

Для этого я поставил точки такой толщины, чтобы они были видны. Помните, что веса линий в Microstation динамические, поэтому они сразу заметны.

dgn to txt

Первый шаг: Активируем инструмент экспорта координат (если он не активен), для этого выбираем

инструменты
ящики для инструментов
мы активируем последнюю команду (xyz)
затем мы закрыли панель и должны были быть активированы таким образом

xyz dgn

экспортные координаты

Второй шаг: Выберите точки, которые мы хотим экспортировать, затем выберите команду «экспортировать координаты» со стрелкой вверх и заполните условия:

-Data-файл
-Имя файла
-Изменение координат
-Университет
-Decimales
-Separador
-having
-Преобразование / суффикс
- Начальный номер

Панель позволяет вам выбирать параметры, если только выбранные чертежи (одиночные), рисунки внутри забора или весь файл (все)

Конечным результатом является TXT-файл, который можно открыть из excel.

В моем случае я присвоил номер, отметив флажок, который находится справа

В случае, если файл уже существует, отображается окно, запрашивающее, хотите ли вы заменить или добавить (добавить или добавить).

координаты txt

Чтобы определить, какие точки, микростанция набирает числа в каждой точке, с цветом, типом строки и размером текста, который у вас активен.

2. Выполнение этого с помощью AutoCAD

Перед знакомством с CivilCAD (Softdesk) мы использовали приложение DOS, которое все еще называется dxf2csv. Можете попробовать, если любите терзать себя ностальгией, �� есть и приложения” нет бесплатного “, и я уверен, что должны быть какие-то свободные, но в этом случае мы посмотрим, как это делается с Softdesk8, аналогично в CivilCAD.

Чтобы сделать точки видимыми, я изменил формат с форматом/форматом точки/стилем точки. Чтобы толщина линий была видна, вы должны активировать «Lts», используя значение меньше 1, пока мы не увидим разницу.

dwg to txt

Первый шаг: Откройте проект или создайте новый

АЭК
Программы Softdesk (сначала сохранить файл)
Создать проект
Назначить имя проекта, затем ok
Мы выбираем число, в котором начинается нумерация
Хорошо, хорошо, тогда
мы выбираем «cogo», затем ок

Второй шаг: Введите точки в базу данных: для этого существуют разные формы, в этом случае мы сделаем это автоматически: точки / задайте точки / автоматически, затем выберите каждую линию многоугольника.
Введенный сигнал - это сделать точки / уставки / список доступных точек. Он должен показать +6, что означает, что в базу данных уже введено 5 точек.

Третий шаг: экспорт точек.
Чтобы экспортировать пункты, которые мы делаем:

точки / точки импорта-экспорта / экспорт точек в файл
- Выберите формат экспорта, в этом случае PNE (точка, север, восток)
-Мы выбираем папку назначения файла и записываем имя
- В командной строке мы выбираем параметры экспорта (по выбору, по рангу . в этом случае мы используем все, все)
-Затем, файл исчез, в этом случае отделенный expacios, но равный может быть открыт с помощью excel

autocad txt

В случае, если точки написаны с большими размерами, вам нужно изменить метрические единицы, потому что по умолчанию приходят английские (AEC / setup drawing / unit angle / select métric)

По этому поводу точки не имели высоты, эта тема увидит в другом посте, когда мы будем говорить о контурных линиях.

Поверьте мою настойчивость, кто-нибудь знает макрос для atocad, который проще и свободнее?

Кто-нибудь еще это делает?

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *